如果在yum安裝軟體的時候,出現了Transaction check error:這種情況,說明rpm軟體包出現了衝突,解決方法是:

vi /etc/yum.repos.d/epel.repo   

將enabled=1改為0,並且執行:yum list installed | grep docker,會出現

docker-client.x86_64                 2:1.12.6-61.git85d7426.el7.centos @extras  
docker-common.x86_64                 2:1.12.6-61.git85d7426.el7.centos @extra
將上述刪除即可
[[email protected] lib]# rpm -e docker-client.x86_64 
[[email protected] lib]# rpm -e docker-common.x86_64 

然後在檢視getenforce,如果開啟,則關閉,最後再重新yum安裝想安裝的軟體就可以了。
---------------------
作者:czz1141979570
來源:CSDN
原文:https://blog.csdn.net/czz1141979570/article/details/78598274
版權宣告:本文為博主原創文章,轉載請附上博文連結!